SDL_GetJoystickProperties(3)

NAME
SDL_GetJoystickProperties - Get the properties associated with a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_PropertiesID SDL_GetJoystickProperties(SDL_Joystick *joystick);

DESCRIPTION
The following read-only properties are provided by SDL: • SDL_PROP_JOYSTICK_CAP_MONO_LED_BOOLEAN :
  true if this joystick has an LED that has adjustable brightness • SDL_PROP_JOYSTICK_CAP_RGB_LED_BOOLEAN :
  true if this joystick has an LED that has adjustable color • SDL_PROP_JOYSTICK_CAP_PLAYER_LED_BOOLEAN :
  true if this joystick has a player LED • SDL_PROP_JOYSTICK_CAP_RUMBLE_BOOLEAN :
  true if this joystick has left/right rumble • SDL_PROP_JOYSTICK_CAP_TRIGGER_RUMBLE_BOOLEAN :
  true if this joystick has simple trigger rumble

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     obtained from SDL_OpenJoystick ()

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetProperty(3), SDL_SetProperty(3)